//##################################################
//Modified Meat Shaders by JaxGator and LordSquart
//##################################################

//*********************************
//Teleport Pad Tube B
//*********************************

textures/lsjg_pads/meat_pad_teleportpad_tube_B
{
	qer_editorimage textures/lsjg_coop/meat_pad_teleportpad_tube_B.tga
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	{
		map textures/lsjg_coop/meat_pad_teleportpad_tube_B.tga
		blendfunc gl_one gl_one
		tcmod scroll .25 0
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//*********************************
//Teleport Pad Tube A
//*********************************

textures/lsjg_pads/meat_pad_teleportpad_tube_A
{
	qer_editorimage textures/lsjg_coop/meat_pad_teleportpad_tube_A.tga
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	{
		map textures/lsjg_coop/meat_pad_teleportpad_tube_A.tga
		blendfunc gl_one gl_one
		tcmod scroll -.5 0
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//*********************************
//Teleport Pad Modded by LS
//*********************************

textures/lsjg_pads/meat_pad_teleportpad_a_TP
{
	qer_editorimage textures/lsjg_coop/meat_pad_teleportpad_a.tga
	{
		map textures/lsjg_coop/meat_pad_teleportpad_a.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_pad_teleportpad_a_glow.tga
		blendfunc add
		rgbGen wave noise 0 1 0.25 0.1 
	}
	{
		clampmap textures/lsjg_coop/meat_pad_teleportpad_a_circleglow.tga
		blendfunc add
		tcMod rotate -200
	}
}


//*********************************
//JUMP Pad Modded by LS
//*********************************

textures/lsjg_pads/meat_pad_teleportpad_a_JP
{
	qer_editorimage textures/lsjg_coop/meat_pad_teleportpad_a.tga
	{
		map textures/lsjg_coop/meat_pad_teleportpad_a.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_pad_teleportpad_a_glow.tga
		blendfunc add
		rgbGen wave noise 0 1 0.25 0.1 
	}
	{
		clampmap textures/lsjg_coop/meat_pad_teleportpad_a_circleglow.tga
		blendfunc add
		tcMod rotate -200
	}
	{
		clampmap textures/lsjg_coop/meat_pad_teleportpad_a_circleglow_flip.tga
		blendfunc add
		tcMod rotate 220
	}
}

//##################################################
// Meat Blood Flag
//##################################################

textures/lsjg_objects/meat_objects_meatflag_A
{
	qer_editorimage textures/lsjg_coop/meat_objects_meatflag_A.tga
	cull disable
	deformVertexes wave 100 sin 0 1 0 .1
	deformVertexes wave 100 sin 0 1 0 .2
//	deformVertexes wave 30 sin 0 3 0 .2
//	deformVertexes wave 100 sin 0 3 0 .7
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	tessSize 64
	
	{
		map textures/lsjg_coop/meat_objects_meatflag_A.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//*********************************
// Weapon Pad
//*********************************

textures/meat_lsjg_coop/meat_pad_weaponpad_A
{
	qer_editorimage textures/lsjg_coop/meat_pad_weaponpad_A.tga
	{
		map textures/lsjg_coop/meat_pad_weaponpad_A.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		map textures/lsjg_coop/meat_pad_weaponpad_A_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin 1.0 1.0 .25 .8
	}
}

//##################################################
// Meat Metal Chain
//##################################################

textures/lsjg_coop/meat_objects_metalchain
{
	qer_editorimage textures/lsjg_coop/meat_objects_chain_A.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	tessSize 64
	{
		map textures/lsjg_coop/meat_objects_chain_A.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//##################################################
// Blood pool no impact 
//##################################################

textures/meat_lsjg_coop/meat_tile_squarered_b_noimpact
{
	qer_editorimage textures/lsjg_coop/meat_tile_squarered_b.tga
	surfaceparm nodamage
     	{
		map textures/lsjg_coop/meat_tile_squarered_b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
	}
}

//***************************
//Transparent metal grate 
//***************************

textures/meat_lsjg_coop/meat_metal_grate_F
{
	q3map_lightimage textures/lsjg_coop/meat_metal_grate_F.tga
	qer_editorimage textures/lsjg_coop/meat_metal_grate_F.tga
	qer_trans .5
	surfaceparm alphashadow
	surfaceparm trans	
	cull none
	{
		map textures/lsjg_coop/meat_metal_grate_F.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//##################################################
// Bird with ALPHA / Bird texture by Lunaran
//##################################################

textures/meat_lsjg_coop/bird
{
	qer_editorimage textures/lsjg_coop/bird.tga
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	deformVertexes move 1 0 0.5 sin 0 48 0 0.042
     	{
		map textures/lsjg_coop/bird.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//##################################################
// Meat Rusted Metal Trim Light by LordSquart
//##################################################

textures/meat_lsjg_coop/meat_metal_trim_F
{
	qer_editorimage textures/lsjg_coop/meat_metal_trim_F.tga
	surfaceparm nomarks
	q3map_surfacelight 350	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_metal_trim_F.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_metal_trim_F_brightness.tga
		blendFunc GL_ONE GL_ONE
	}
}

//##################################################
// Meat Light Rusted Metal Border Light
//##################################################

textures/meat_lsjg_coop/meat_lights_C_Bright
{
	qer_editorimage textures/lsjg_coop/meat_lights_C.tga
	surfaceparm nomarks
	q3map_surfacelight 800	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_lights_C.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_lights_C_brightness.tga
		blendFunc GL_ONE GL_ONE
	}
}

//##################################################
// Meat Light 25K Small Square
//##################################################

textures/meat_lsjg_coop/meat_lights_B
{
	qer_editorimage textures/lsjg_coop/meat_lights_B.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_lights_B.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lsjg_coop/meat_lights_B_brightness.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ******************************************************
// Morning Sky
// ******************************************************

textures/meat_lsjg_coop/meat_sky_morning
{
	qer_editorimage textures/lsjg_coop/meat_sky/meat_sky_morning_up.tga
	q3map_lightsubdivide 256
	q3map_surfacelight 70
	q3map_globaltexture
	q3map_sun 0.764706 0.764706 0.764706 75 220 90
//	q3map_surfacelight 15
//	q3map_sun 1 1 1 350 220 80
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/lsjg_coop/meat_sky/meat_sky_morning - -
}

//##################################################
//Blood Pool
//##################################################

textures/meat_lsjg_coop/meat_liquid_bloodpool_A
{
	qer_editorimage textures/lsjg_coop/meat_liquid_bloodpool_A.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm noimpact
	cull disable
	{ 
		map textures/lsjg_coop/meat_liquid_bloodpool_A.tga
		blendFunc GL_ONE GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .005 .01
	}
	{ 
		map textures/lsjg_coop/meat_liquid_bloodpool_B.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		tcmod scale -.5 -.5
		tcmod scroll .01 .005
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity		
	}
}

//##################################################
//Transparent Blood Stream
//##################################################

textures/meat_lsjg_coop/meat_liquid_bloodstream_A
{
	q3map_lightimage textures/lsjg_coop/meat_liquid_bloodstream_A.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map textures/lsjg_coop/meat_liquid_bloodstream_A.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scroll 0 2
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}		
}

//##################################################
// Sign Texture
//##################################################
textures/meat_lsjg_coop/sign_blending
{
	qer_editorimage textures/lsjg_coop/sign_blending.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/lsjg_coop/sign_blending.tga
		blendfunc add
		depthWrite
		alphaFunc GE128
	}
}

//*******************************
//  Smoke 
//*******************************

textures/ls_particles/smoke2_1
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -17.611252 103.411400 -4.574556 sawtooth 0 1 -0.288516 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.288516 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.288516 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.288516 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_2
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -14.546233 102.247261 -18.944759 sawtooth 0 1 -0.447310 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.447310 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.447310 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.447310 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_3
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 16.062042 101.040047 -23.620314 sawtooth 0 1 0.295682 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.295682 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.295682 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.295682 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_4
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -4.510083 103.993805 -13.782158 sawtooth 0 1 -0.358000 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.358000 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.358000 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.358000 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_5
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.274435 103.251732 -19.078941 sawtooth 0 1 -0.535008 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.535008 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.535008 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.535008 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_6
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -12.627855 103.925011 -8.070238 sawtooth 0 1 0.911667 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.911667 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.911667 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.911667 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_7
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.526113 103.868912 -15.161446 sawtooth 0 1 -0.475777 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.475777 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.475777 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.475777 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_8
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.202703 100.656296 -28.092968 sawtooth 0 1 0.114621 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.114621 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.114621 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.114621 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_9
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.975617 99.108734 -34.548565 sawtooth 0 1 -0.448726 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.448726 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.448726 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.448726 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_10
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 14.139233 103.134178 -13.726715 sawtooth 0 1 -0.156969 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.156969 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 -0.156969 0.666667
tcMod stretch sawtooth 1.000000 0.000000 -0.156969 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_11
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -4.855676 104.479218 -9.247410 sawtooth 0 1 0.753996 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.753996 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.753996 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.753996 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_12
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.810247 103.773102 -9.593878 sawtooth 0 1 0.521812 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.521812 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.521812 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.521812 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_13
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.115883 102.640274 -22.107227 sawtooth 0 1 0.532163 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.532163 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.532163 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.532163 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_14
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 2.958749 103.741486 -15.935825 sawtooth 0 1 0.568004 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.568004 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.568004 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.568004 0.666667
blendfunc blend
}
}

textures/ls_particles/smoke2_15
{
qer_editorimage textures/lsjg_coop/smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.745061 98.852173 -35.393375 sawtooth 0 1 0.004462 0.666667
{
clampmap textures/lsjg_coop/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.004462 0.666667
rgbGen wave sawtooth 1.000000 -1.000000 0.004462 0.666667
tcMod stretch sawtooth 1.000000 0.000000 0.004462 0.666667
blendfunc blend
}
}